From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/geiser-guile/
Date: Sat, 17 Aug 2024 13:27:24 +0000 (UTC) [thread overview]
Message-ID: <1723901240.76389ff5c836fac2b77801f71b7f470949234da8.xgqt@gentoo> (raw)
commit: 76389ff5c836fac2b77801f71b7f470949234da8
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 17 10:58:29 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Aug 17 13:27:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76389ff5
app-emacs/geiser-guile: bump to 0.28.2
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/geiser-guile/Manifest | 1 +
app-emacs/geiser-guile/geiser-guile-0.28.2.ebuild | 51 +++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/app-emacs/geiser-guile/Manifest b/app-emacs/geiser-guile/Manifest
index 15bcbf525c5d..6ec7d8fb31a9 100644
--- a/app-emacs/geiser-guile/Manifest
+++ b/app-emacs/geiser-guile/Manifest
@@ -1 +1,2 @@
DIST geiser-guile-0.28.1.tar.bz2 15806 BLAKE2B 3484fda74ea84eadaf2c20dca48c7f66a4fa4966ec90246f29e9ff1ca9eb5c0f87fd7f724c84c4685d05b9edec527893e1ab9dc1f8d4f6eade2ddb6bad4ad192 SHA512 1147cdeac9aba565921efd094725309764ac17be34533ba62f18a866e8b6511a0896e3ea0dd17f4d408f5c99ce05a0779d370c0dd35e0353efd9765c7eb44831
+DIST geiser-guile-0.28.2.tar.bz2 16549 BLAKE2B 0beb0b73a4db819849dc0b3bda6fc44f963ac6f3962f710103514417f07790ded54f708bbc896c8785a7946c47f1d6b1b679a5e296debb3782c5fdef9ac7c08e SHA512 4e47d6dc03a679aeac5e60a24903ce96faef9b3330e4be7fb44a633a8d00a05bd7885d96a26104dc492dfe848e1bf2e8f3d2af8a508f1d7c06b9abe3938f770d
diff --git a/app-emacs/geiser-guile/geiser-guile-0.28.2.ebuild b/app-emacs/geiser-guile/geiser-guile-0.28.2.ebuild
new file mode 100644
index 000000000000..9dca36e9b4c1
--- /dev/null
+++ b/app-emacs/geiser-guile/geiser-guile-0.28.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Guile's implementation of the Geiser protocols"
+HOMEPAGE="https://gitlab.com/emacs-geiser/guile/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://gitlab.com/emacs-geiser/guile.git"
+else
+ SRC_URI="https://gitlab.com/emacs-geiser/guile/-/archive/${PV}/guile-${PV}.tar.bz2
+ -> ${P}.tar.bz2"
+ S="${WORKDIR}/guile-${PV}"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+
+BDEPEND="
+ app-emacs/geiser
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-scheme/guile
+"
+
+PATCHES=( "${FILESDIR}/${PN}-guile-scheme-src-dir.patch" )
+
+DOCS=( readme.org )
+ELISP_TEXINFO="${PN}.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ elisp_src_prepare
+
+ sed "s|@SITEETC@|${EPREFIX}${SITEETC}/${PN}|" -i "${PN}.el" || die
+}
+
+src_install() {
+ elisp_src_install
+
+ insinto "${SITEETC}/${PN}"
+ doins -r src
+}
next reply other threads:[~2024-08-17 13:27 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-08-17 13:27 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-08 3:54 [gentoo-commits] repo/gentoo:master commit in: app-emacs/geiser-guile/ Sam James
2024-09-27 5:30 Arthur Zamarin
2024-09-20 16:04 Maciej Barć
2023-01-24 23:55 Sam James
2022-11-30 1:04 Maciej Barć
2022-11-30 1:04 Maciej Barć
2022-11-07 23:11 Maciej Barć
2022-09-07 2:28 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1723901240.76389ff5c836fac2b77801f71b7f470949234da8.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox